package l_msg_api

import "gitea.cdlsxd.cn/self-tools/l_msg_api/protoc/msg"

const (
	serverHost = "http://127.0.0.1:8001"
	timeOut    = 60
)

const (
	DDSelectField   = "DDSelectField"
	DDTextField     = "TextField"
	DDTextareaField = "TextareaField"
	DDNumberField   = "NumberField"
	DDDateField     = "DDDateField"
)

type requestPathIndex int32

const (
	accessToken requestPathIndex = iota + 1
	oaCreat
	oaGet
	oaComment
	sendSms
	sendSmsHs
)

var requestPath = map[requestPathIndex]map[RequestWay]string{
	accessToken: {Http: "/oauth/v1/accesstoken", Rpc: msg.Msg_Oauth_FullMethodName},
	oaCreat:     {Http: "/msg/v1/dingtalk/oa/create", Rpc: msg.Msg_DingOACreate_FullMethodName},
	oaGet:       {Http: "/msg/v1/dingtalk/oa/get", Rpc: msg.Msg_DingOAGet_FullMethodName},
	oaComment:   {Http: "/msg/v1/dingtalk/oa/comment", Rpc: msg.Msg_DingOAComment_FullMethodName},
	sendSms:     {Http: "/msg/v1/sms/send", Rpc: msg.Msg_SmsSend_FullMethodName},
	sendSmsHs:   {Http: "/msg/v1/sms/send/hs", Rpc: msg.Msg_HsSmsSend_FullMethodName},
}

type SmsBusiness string

const (
	SmsBusinessHs      SmsBusiness = "hs"
	SmsBusinessDefault SmsBusiness = "aliyun"
)

var smsBusinessWithRequestPath = map[SmsBusiness]requestPathIndex{
	SmsBusinessHs:      sendSms,
	SmsBusinessDefault: sendSmsHs,
}

type RequestWay int8

const (
	Http RequestWay = iota + 1
	Rpc
)
